Home of the Squeezebox™ & Transporter® network music players.
Results 1 to 8 of 8
  1. #1
    Junior Member
    Join Date
    Jan 2021
    Posts
    3

    Unable to get Spotty to run

    I have installed the Spotty plugin but get the error "There has been a problem running the Spotty helper application. Please make sure you have the Microsoft Visual C++ Runtime (32-bit!) installed on your system." I have installed C++ Runtime and tried restarting LMS (also restarted the PC and also tried disabling and re-enabling the plugin). Maybe I missed something in the setup but I thought all I needed to do was tick the "enable" box and, after seeing the C++ message, I then downloaded and installed this but even after the restarts the message remains.

    I am sure it will be an oversight on my part but I can't figure out where I have gone wrong. Any suggestions?

    Thanks


    Running LMS 8.1.0 - 1608700893 on Windows 10 Pro
    Installed apps on the PC includes "Microsoft Visual C++ 2015 Redistributable (x86)" and the version is 14.0.23026.0

    Server log contains:

    [21-01-03 11:21:01.5646] Plugins::Spotty::Connect::canSpotifyConnect (84) Cannot support Spotty Connect, need at least helper version 0.12.0
    [21-01-03 11:33:19.6644] Plugins::Spotty::Helper::get (51) Didn't find Spotty helper application!
    [21-01-03 11:33:19.9846] Plugins::Spotty::Helper::get (51) Didn't find Spotty helper application!
    [21-01-03 11:33:20.1341] Plugins::Spotty::Helper::get (51) Didn't find Spotty helper application!
    [21-01-03 11:33:20.1345] Plugins::Spotty::Connect::canSpotifyConnect (84) Cannot support Spotty Connect, need at least helper version 0.12.0

  2. #2
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,570

    Unable to get Spotty to run

    > I have installed the Spotty plugin but get the error "There has been a
    > problem running the Spotty helper application. Please make sure you have
    > the Microsoft Visual C++ Runtime (32-bit!) installed on your system." I


    Could you please run the spotty.exe from a command window? You'll find
    the path in Settings/Information. It's inside a Bin folder below
    Spotty's plugin folder.

    --

    Michael

  3. #3
    Junior Member
    Join Date
    Jan 2021
    Posts
    3
    Hi Michael

    Running spotty.exe results in an error message "The application was unable to start correctly (0xc000007b). Click OK to close the application."

  4. #4
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,570

    Unable to get Spotty to run

    > Running spotty.exe results in an error message "The application was
    > unable to start correctly (0xc000007b). Click OK to close the
    > application."


    Did you install the MS Visual C 2015 runtime recently? Try re-installing it.

    --

    Michael

  5. #5
    Junior Member
    Join Date
    Jan 2021
    Posts
    3
    Problem solved:

    Visual C runtime was installed in the last couple of days - when Spotty reported that it was required and I used the link in the Spotty settings page which contained the error message about requiring C++. Uninstalling and reinstalling made no difference but downloading the latest version of C++ redistributable solved the problem. The version linked from Spotty is 14.0.23026.0 and it is now working with 14.28.29325.

    Thanks for your help.

    Malcolm

  6. #6
    Junior Member
    Join Date
    Oct 2020
    Posts
    20

    Spotty not running on Windows 10 32 bit

    Hello all,

    I have installed LMS 8.1.1 version on an old Dell 1525 for my vacation house.
    When installing Spotty, I get the same message as Malcom, but it says "64bit":
    There has been a problem running the Spotty helper application. Please make sure you have the Microsoft Visual C++ Runtime (64-bit!) installed on your system.
    This is weird, because the Dell is a 32-bit machine.
    I have installed the Visual C++ Runtime, but the 64 bit will not run, only the X86 will install.

    Log file last entries:
    Cette version de C:\PROGRA~2\SQUEEZ~1\Cache\INSTAL~1\Plugins\Spotty \Bin\MSWIN3~1\spotty.exe n'est pas compatible avec la version de Windows actuellement ex‚cut‚e. V‚rifiez dans les informations systŠme de votre ordinateur, puis contactez l'‚diteur de logiciel.
    [21-08-03 12:08:05.1342] Plugins::Spotty::Helper::get (51) Didn't find Spotty helper application!
    [21-08-03 12:08:05.1346] Plugins::Spotty::Helper::get (52) Last error:
    Cette version de C:\PROGRA~2\SQUEEZ~1\Cache\INSTAL~1\Plugins\Spotty \Bin\MSWIN3~1\spotty.exe n'est pas compatible avec la version de Windows actuellement ex‚cut‚e. V‚rifiez dans les informations systŠme de votre ordinateur, puis contactez l'‚diteur de logiciel.
    [21-08-03 12:08:05.1349] Plugins::Spotty::Connect::canSpotifyConnect (84) Cannot support Spotty Connect, need at least helper version 0.12.0

    Running spotty from cli gives:
    C:\PROGRA~2\SQUEEZ~1\Cache\INSTAL~1\Plugins\Spotty \Bin\MSWIN3~1>spotty.exe
    Cette version de C:\PROGRA~2\SQUEEZ~1\Cache\INSTAL~1\Plugins\Spotty \Bin\MSWIN3~1\spotty.exe n’est pas compatible avec la version de Windows actuellement exécutée. Vérifiez dans les informations système de votre ordinateur, puis contactez l’éditeur de logiciel.


    How (if at all possible) can I get the right version of Spotty ?

  7. #7
    Senior Member
    Join Date
    Jan 2011
    Location
    Staffordshire. UK
    Posts
    4,447

  8. #8
    Junior Member
    Join Date
    Oct 2020
    Posts
    20
    Quote Originally Posted by Man in a van View Post
    My google search did not land me there!

    It worked, thanks a lot.
    Not sure I understood the "put it somewhere else" but I will keep a backup copy of that spotty exe file somewwhere outside of LMS.

    Thanks again Man and Michael!
    Last edited by Ligérien; Yesterday at 04:19.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •